[isort]
multi_line_output=3
include_trailing_comma=True
force_grid_wrap=0
use_parentheses=True
line_length=119
skip = venv

[flake8]
ignore = E203, E266, E501, W503, D100, D104
docstring-convention = google
max-line-length = 119
max-doc-length = 72
max-complexity = 18
exclude = venv
per-file-ignores = tests/*:D103

[mypy]
python_version = 3.10
warn_return_any = True
warn_unused_configs = True
ignore_missing_imports = True
show_error_codes = True
pretty = True
